import request from '@/utils/request'

/**
 * 采集站 API
 */

const AcquisitionStationApi = {
  base: '/acquisition-station',
  all: '/acquisition-station/all',
  current: '/acquisition-station/current',
}

export function findAll(parameter) {
  return request({
    url: AcquisitionStationApi.all,
    method: 'get',
    params: parameter
  })
}

export function findCurrentAcquisitionStation(parameter) {
  return request({
    url: AcquisitionStationApi.current,
    method: 'get',
    params: parameter
  })
}

export function updateAcquisitionStation(parameter) {
  return request({
    url: AcquisitionStationApi.base,
    method: 'put',
    data: parameter
  })
}

export function addAcquisitionStation(parameter) {
  return request({
    url: AcquisitionStationApi.base,
    method: 'post',
    data: parameter
  })
}

export function deleteAcquisitionStation(parameter) {
  return request({
    url: AcquisitionStationApi.base,
    method: 'delete',
    data: parameter
  })
}
